# $Id: md_users_online.pm,v 5.11 2004/02/23 21:17:18 mike Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2004
# 
# This file is part of Metadot Portal Server software $Name: Release_6_1_6 $
# 
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
# 
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_users_online;
use GizmoTag;
@ISA = ("GizmoTag");
use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_users_online';
    $self->{version} = '$Revision: 5.11 $';
    $self->{authorname} = 'David Sheth';
    $self->{email} = 'david@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagWelcomeClass';
    $self->{description} = 'Display number of users online';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
    my $self = shift;
    my $s = "";
    my $members_online = $SESSION->get_members_online;
    my $guests_online = $SESSION->get_guests_online;
    my $members_phrase = "$members_online member";
    unless ($members_online == 1) {
        $members_phrase = $members_phrase . "s";
    }
    my $guests_phrase = "$guests_online guest";
    unless ($guests_online == 1){
        $guests_phrase = $guests_phrase . "s";
    }

   $s .= "<table cellpadding = 0 cellspacing = 0 border = 0\n";
   $s .= "<tr><td class = onlinemonitorb><div style=\"white-space: nowrap\">Users online:</div></td></tr>";
#   $s .= "<tr><td class = newsitem><div style=\"white-space: nowrap\">$guests_phrase</div></td></tr>";
   $s .= "<tr><td class = onlinemonitor><div style=\"white-space: nowrap\">$members_phrase</div></td></tr>";
   $s .= "</table>";
   return $s;
} 

1;

