###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################

# An interface to specify that a gizmo supports channels and subscriptions.

package Metadot::Subscribable;

use strict;
use Channel;


sub get_channel_object {
    my $self = shift;
    my $result = $self->{_channel_object};  # need to make sure this does not conflict with caching

    unless ($result) {
        $result = Channel->get_channel_for_iid($self->get_id());
        $self->{_channel_object} = $result;
    }
    return $result;
}

sub get_id {
    die ("Abstract method");
}




1;
