package Trimmer;

use strict;
use Data::Dumper;

sub hashTrim {
	my $class = shift;
	my %data = @_ or die "Trimmer::hashTrim: Usage: hashTrim(\%data_hash)";
	
	my @keys = keys %data;

	foreach my $key (@keys) {	
		$data{$key} = $class->trim($data{$key});
	}
	return %data;
}



sub trim {
	
	my $class = shift;
	my $str = shift or die "Trimmer::trim: Usage: trim(\$string)";

	$str =~ s/^\s+//;
	$str =~ s/\s+$//;
	
	return $str;
}
1;
